## List flow executions with filtering and pagination

### cURL

```
curl --request GET \
  --url 'https://flows.super.ai/api/flow-executions?page=1&page_size=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://flows.super.ai/api/flow-executions?page=1&page_size=10"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/flow-executions?page=1&page_size=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Example Response

```
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "flow_id": "550e8400-e29b-41d4-a716-446655440000",
    "flow_version": 3,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "input": {
      "file_key": "documents/abc123.pdf",
      "metadata": {
        "priority": "high"
      }
    },
    "modified_by": "<string>",
    "organization_id": "660e8400-e29b-41d4-a716-446655440001",
    "status": "running",
    "updated_at": "2023-11-07T05:31:56Z",
    "run_number": 42
  }
]
```

### Authorizations

#### X-API-Key
- **Type**: string
- **Location**: header
- **Required**: Yes

Include your API key in the `X-API-Key` header.

#### Authorization
- **Type**: string
- **Location**: header
- **Required**: Yes

Include your access token in the `Authorization` header as: `Bearer YOUR_ACCESS_TOKEN`

### Query Parameters

- **flow_id**: string<uuid> (required)
- **sort_field**: string | null
- **sort_direction**: string | null
- **status**: string[] | null
- **tags**: string[] | null
- **include_run_number**: boolean (default: false)
- **page**: integer (default: 1)
- **page_size**: integer (default: 10)
- **start_from_execution_id**: string<uuid> | null

### Response Format

200

**Content-Type**: application/json
**Body**:
- **created_at**: string<date-time>
- **flow_id**: string<uuid>
- **flow_version**: integer
- **id**: string<uuid>
- **input**: Input object
- **modified_by**: string
- **organization_id**: string<uuid>
- **status**: string
- **updated_at**: string<date-time>
- **run_number**: integer | null
